Subject: bug#37615: bug#42534: 28.0.50; package-test-macro-compilation test fails on macOS

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Dec 2020 22:42:17 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 25 Dec 2020 20:37:49 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >      FAILED  23/32  package-test-macro-compilation (0.953125 sec)

First signs of trouble are here:

  In macro-problem-10-and-90:
  macro-problem.el:27:45: Warning: reference to free variable `hehe'

  In end of data:
  macro-problem.el:31:1: Warning: the function `macro-aux-3' is not known to be
      defined.

I cannot understand why this happens on MS-Windows, but not on
GNU/Linux.

> I'm getting this failure instead (on a brand new msys2/mingw
> installation): 
> 
> 1 unexpected results:
>    FAILED  package-test-signed

On my system this is skipped because gpg2 is not installed.

> > I'm happy to provide more details if needed, or debug this more given
> > some instructions.
> 
> I'm pretty unfamiliar with package.el and wholly unfamiliar with
> Windows, so I'll leave that to somebody else.

CC'ing the author of package-tests in the hope that he could suggest
some ideas for fixing this.